Kerbal Space Program - Bug #24451

If landing legs are in a retracted state and in contact with the ground the craft will be destroyed on
exiting the scene

12/02/2019 01:35 PM - Anth12

Status: Resolved Start date: 12/03/2019
Severity: Low % Done: 100%
Assignee: Robert.Keech

Category: Parts

Target version: 1.9.1

Version: 1.8.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

KSP 1.8.1 MH + BG
Using the attached save:

1. Retract the landing legs of any or all of the crafts
2. Change to a craft that doesn't have legs or doesn't have legs that are retracted
3. Go to the Tracking Station

Result:
Any of the crafts that had landing legs retracted will be destroyed

Look to the log file for the following:

[WRN 02:24:06.631] [F: 14089]: Vessel Large Landing Legs crashed through terrain on Ike.
[LOG 02:24:06.631] [Vessel Large Landing Legs]: Vessel was destroyed.

[WRN 02:24:06.631] [F: 14089]: Vessel Small Landing Legs crashed through terrain on Ike.
[LOG 02:24:06.631] [Vessel Small Landing Legs]: Vessel was destroyed.

[WRN 02:24:07.890] [F: 14212]: Vessel Medium Landing Legs crashed through terrain on lke.
[LOG 02:24:07.890] [Vessel Medium Landing Legs]: Vessel was destroyed.

Reason:
KSP thinks that the crafts with landing legs retracted and in contact with the ground are in flight and not actually landed.

Additional Information:
In some situations | have loaded a quicksave with the landing legs retracted and the craft sinks into the ground

History

#1 - 12/05/2019 03:47 PM - Robert.Keech
- Status changed from New to Confirmed
- Assignee set to Robert.Keech

- % Done changed from 0 to 10

Confirmed, retracting the legs of a craft and leaving them in contact with the ground then switching to another craft will cause the crafts with retracted
legs to be destroyed.

#3 - 07/07/2020 01:49 PM - Robert.Keech
- Status changed from Confirmed to Being Worked On
- % Done changed from 10 to 30

#4 - 07/07/2020 01:50 PM - Robert.Keech
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.9.1

- % Done changed from 30 to 80
This has been fixed in the latest version, please retest and change the status accordingly

#5 - 07/07/2020 02:25 PM - Anth12
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

Resolved

Files

Landing Leg Bug Not Landed.sfs 473 KB 12/02/2019 Anth12

KSP.log 410 KB 12/02/2019 Anth12
